VMTKIMAGESHIFTSCALE(1)

NAME
vmtkimageshiftscale - vmtk script vmtkimageshiftscale

DESCRIPTION
Automatic piping vmtkimageshiftscale Parsing options vmtkimageshiftscale

vmtkimageshiftscale : shift and scale the intensity of an image and

    cast it to a specified type

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-type OutputType (str,1) in ['unchanged', 'float', 'double',

    'uchar', 'char', 'ushort', 'short', 'long', 'ulong', 'int', 'uint']; default=unchanged: the output image type - use "unchanged", the default, to keep same type as input

-clamp ClampOverflowOn (bool,1); default=1: Whith ClampOverflow On,

    the data is thresholded so that the output value does not exceed the max or min of the data type

-shift Shift (float,1); default=0.0: the shift value

-scale Scale (float,1); default=1.0: the scale value

-mapranges MapRanges (bool,1); default=0: toggle mapping of input

    range to output range instead of simple shift scale

-inputrange InputRange (float,2); default=[0.0, 0.0]: the input

    range that will be mapped in the output range - leave default or set to 0.0 0.0 for using input image scalar range as input range

-outputrange OutputRange (float,2); default=[0.0, 0.0]: the output

    range into which the input range will be mapped

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image